Bug 886588 - GUI rhn_register: after I repair incorrect value in field "Location", I can't continue with registration
Summary: GUI rhn_register: after I repair incorrect value in field "Location", I can't...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rhn-client-tools
Version: 6.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Michael Mráka
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-12 16:07 UTC by Pavel Studeník
Modified: 2014-11-10 13:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-10 13:55:44 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Pavel Studeník 2012-12-12 16:07:02 UTC
Description of problem:
I tried register system to rhn satellite by rhn_register in GUI. I filled bad value in field "Location" (window "Choose Service"). I got error message. I repaired this value and tried it again. But I couldn't continue with registration and got same error.

Version-Release number of selected component (if applicable):
rhn-client-tools-1.0.0-93.el6.noarch

How reproducible:
always

Steps to Reproduce:
1. run GUI rhn_register
2. set incorrect value in field "Location" in window "Choose Service" and confirm
3. get error message and try to continue
4. set correct value (exist url of satellite) to this field and confirm
  
Actual results:
Value is correct, but I can't continue with registration and I get this error in /var/log/up2date:

>> tail /var/log/up2date
rhn_register A socket error occurred: [Errno -2] Name or service not known, attempt #1
[Wed Dec 12 09:43:55 2012] rhn_register 
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/rhnregGui.py", line 350, in _chooseServerPageApply
    rhnreg.getCaps()
  File "/usr/share/rhn/up2date_client/rhnreg.py", line 249, in getCaps
    s.capabilities.validate()
  File "/usr/share/rhn/up2date_client/rhnserver.py", line 160, in __get_capabilities
    self.registration.welcome_message()
  File "/usr/share/rhn/up2date_client/rhnserver.py", line 51, in __call__
    return rpcServer.doCall(method, *args, **kwargs)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 215, in doCall
    raise up2dateErrors.CommunicationError(e.args[1])
<class 'up2date_client.up2dateErrors.CommunicationError'>: Error communicating with server. The message was:
Name or service not known

Expected results:
If I set correct value I can continue with registration.

Comment 2 RHEL Program Management 2012-12-16 06:49:53 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 3 RHEL Program Management 2014-11-10 13:55:44 UTC
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.


Note You need to log in before you can comment on or make changes to this bug.